Flashage

Ce qu'il faut savoir !

Article écrit par LapinFou en Août 2020.

Tout d'abord un peu de vocabulaire.
  • Passer de 2.1.x à 2.2.x (ou de 2.0.x à 2.2.x, ou de 2.1.x à 2.3.x, ou de... Je pense que vous avez compris l'idée ;) ):
    → C'est un changement de version majeure.
  • Passer de 2.3.0 à 2.3.9:
    → C'est un changement de version mineure.

Concernant les mises à jour, il y a 5 choses à savoir:
  1. Règle d'or pour les versions majeures:
    Si vous souhaitez conserver vos modèles, il ne faut pas sauter de version majeure.
    Exemple: pour passer de 2.0.x à 2.3.x, il faut faire 2.0.x → 2.1.x → 2.2.x → 2.3.x
    Le ".x" n'a pas d'importance. Cela peut être n'importe quel nombre.
    Chaque nouvelle version majeure apporte un nouveau "classement" des données dans l'EEPROM (ou le dossier MODELS/RADIO sur la carte SD des Horus).
    Donc, il faut respecter l'ordre chronologique prévu par les développeurs sous peine de voir la programmation de vos modèles complètement corrompue.
    :warn Le fonctionnement de la télémétrie a complètement changé entre la version majeure 2.0.x et 2.1.x.
    Vous serez obligé de refaire toute cette partie et aussi vérifier les interrupteurs logiques associés le cas échéant.
    Entre les versions majeures 2.1.x, 2.2.x et 2.3.x, la télémétrie n'a pas changé. Donc pas d’inquiétude.
    Quoiqu'il en soit, il est toujours vivement recommandé de vérifier la programmation de ses modèles après un changement de version majeure.
  2. Pour les mises à jour mineure:
    L'EEPROM (ou le dossier MODELS/RADIO sur la carte SD des Horus) n'est pas modifiée.
    Vous pouvez passer directement, par exemple, d'une version 2.3.0 à une version 2.3.9 sans passer par les versions intermédiaires.
    De la même façon vous pouvez utiliser, autre exemple, Companion 2.3.2 avec une radio sous OpenTX 2.3.9 (et inversement).
    Du moment que vous êtes dans la même version majeure, tout va bien puisque les données de vos modèles sont dans le même format.
  3. Le contenu de la carte SD
    Lorsque vous changez de version (majeure ou mineure) , le contenu "système" présent sur la carte SD peut changer.
    Donc, vous pourriez (ou pas) être amené à faire une mise à jour de la carte SD.
    Au démarrage de votre radio, OpenTX va vérifier si vous avez bien la bonne version du pack SD.
    Pour rappel, vous pouvez (si vous le souhaitez) utilisez mes packs SD ici: Packs carte SD
    Les packs carte SD officiels sont ici: OpenTX 2.0, OpenTX 2.1, OpenTX 2.2 et OpenTX 2.3
  4. Utilité de la carte SD
    A l’exception des Horus (où les modèles sont stockés sur la carte SD et non dans une EEPROM), toutes les autres radios FrSky peuvent parfaitement fonctionner sans carte SD. La carte SD pour les Taranis est utilisée pour stocker uniquement les images, sons, scripts LUA, logs, etc...
  5. Companion
    La dernière chose à savoir est que Companion ne proposera que des mises à jour mineures !
    Si vous utilisez Companion 2.2.x, il ne vous proposera pas de faire les mises à jour 2.3.x.
    C'est logique, puisque le format de données des modèles est différent ! :D
    Pour migrer votre radio vers une nouvelle version majeure, il faut télécharger la version de Companion correspondante ici: OpenTX downloads.

Une dernière chose importante:
La version d'OpenTX n'a rien à voir avec la version du firmware du module RF interne de votre radio !!
Ce sont 2 choses indépendantes.
OpenTX est géré par des développeurs indépendants Open Source.
Le firmware du module RF est géré directement par FrSky.
Si ce n'est pas clair pour vous, je vous invite à lire cet article où ce sujet est abordé en détails → Normes ETSI: FCC Vs. (EU-)LBT

En espérant avoir éclairé votre lanterne.
:lapinfou
Cette page a été vue 745 fois